## PothosBlocks-0.5.3.tar.gz

=== CMakeLists.txt ===
########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.8.9)
project(PothosBlocks CXX)

if(${CMAKE_PROJECT_NAME} STREQUAL ${PROJECT_NAME})
    find_package(Pothos "0.6.0" CONFIG REQUIRED)
else()
    find_package(Pothos CONFIG REQUIRED) #in-tree build
endif()

########################################################################
## Feature registration
########################################################################
include(FeatureSummary)
include(CMakeDependentOption)
cmake_dependent_option(ENABLE_BLOCKS "Enable Pothos Blocks component" ON "Pothos_FOUND" OFF)
add_feature_info(Blocks ENABLE_BLOCKS "A collection of general purpose blocks")

########################################################################
# json.hpp header
########################################################################
find_path(JSON_HPP_INCLUDE_DIR NAMES json.hpp PATH_SUFFIXES nlohmann)

if (NOT JSON_HPP_INCLUDE_DIR)
    message(WARNING "Pothos Blocks toolkit requires json.hpp, skipping...")
endif (NOT JSON_HPP_INCLUDE_DIR)

########################################################################
# Build subdirectories
########################################################################
add_subdirectory(file)
add_subdirectory(event)
add_subdirectory(network)
add_subdirectory(packet)
add_subdirectory(serialize)
add_subdirectory(stream)
add_subdirectory(testers)

=== event/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_BLOCKS_EVENT "Enable Pothos Blocks.Event component" ON "ENABLE_BLOCKS" OFF)
add_feature_info("  Event" ENABLE_BLOCKS_EVENT "Signal/Slot event system interface blocks")
if (NOT ENABLE_BLOCKS_EVENT)
    return()
endif()

########################################################################
# Event blocks module
########################################################################
POTHOS_MODULE_UTIL(
    TARGET EventBlocks
    SOURCES
        PeriodicTrigger.cpp
        TriggeredSignal.cpp
        TestPeriodicTrigger.cpp
        MessageToSignal.cpp
        SlotToMessage.cpp
        LabelToMessage.cpp
        TestSignalsAndSlots.cpp
        Evaluator.cpp
        MessagePrinter.cpp
    DESTINATION blocks
    ENABLE_DOCS
)

=== file/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_BLOCKS_FILE "Enable Pothos Blocks.File component" ON "ENABLE_BLOCKS;JSON_HPP_INCLUDE_DIR" OFF)
add_feature_info("  File" ENABLE_BLOCKS_FILE "Filesystem resource source/sink blocks")
if (NOT ENABLE_BLOCKS_FILE)
    return()
endif()

########################################################################
# File blocks module
########################################################################
include_directories(${JSON_HPP_INCLUDE_DIR})
POTHOS_MODULE_UTIL(
    TARGET FileBlocks
    SOURCES
        BinaryFileSource.cpp
        BinaryFileSink.cpp
        TextFileSink.cpp
        TestBinaryFileBlocks.cpp
    DESTINATION blocks
    ENABLE_DOCS
)

=== network/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_BLOCKS_NETWORK "Enable Pothos Blocks.Network component" ON "ENABLE_BLOCKS;JSON_HPP_INCLUDE_DIR" OFF)
add_feature_info("  Network" ENABLE_BLOCKS_NETWORK "Network interface source/sink blocks")
if (NOT ENABLE_BLOCKS_NETWORK)
    return()
endif()

########################################################################
# Network blocks module
########################################################################
include_directories(${JSON_HPP_INCLUDE_DIR})

if (WIN32)
    list(APPEND MODULE_LIBRARIES ws2_32)
endif (WIN32)

POTHOS_MODULE_UTIL(
    TARGET NetworkBlocks
    SOURCES
        ${UDT_SOURCES}
        NetworkSource.cpp
        NetworkSink.cpp
        SocketEndpoint.cpp
        TestNetworkBlocks.cpp
        TestNetworkTopology.cpp
        DatagramIO.cpp
    DESTINATION blocks
    LIBRARIES ${MODULE_LIBRARIES}
    ENABLE_DOCS
)

=== packet/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_BLOCKS_PACKET "Enable Pothos Blocks.Packet component" ON "ENABLE_BLOCKS;JSON_HPP_INCLUDE_DIR" OFF)
add_feature_info("  Packet" ENABLE_BLOCKS_PACKET "Packet to/from stream converter blocks")
if (NOT ENABLE_BLOCKS_PACKET)
    return()
endif()

########################################################################
# Packet blocks module
########################################################################
include_directories(${JSON_HPP_INCLUDE_DIR})
POTHOS_MODULE_UTIL(
    TARGET PacketBlocks
    SOURCES
        PacketToStream.cpp
        StreamToPacket.cpp
        TestPacketBlocks.cpp
    DESTINATION blocks
    ENABLE_DOCS
)

=== serialize/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_BLOCKS_SERIALIZE "Enable Pothos Blocks.Serialize component" ON "ENABLE_BLOCKS;JSON_HPP_INCLUDE_DIR" OFF)
add_feature_info("  Serialize" ENABLE_BLOCKS_SERIALIZE "Serialize data to/from byte stream")
if (NOT ENABLE_BLOCKS_SERIALIZE)
    return()
endif()

########################################################################
# Serialize blocks module
########################################################################
include_directories(${JSON_HPP_INCLUDE_DIR})
POTHOS_MODULE_UTIL(
    TARGET SerializeBlocks
    SOURCES
        Serializer.cpp
        Deserializer.cpp
        TestSerialize.cpp
    DESTINATION blocks
    ENABLE_DOCS
)

=== stream/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_BLOCKS_STREAM "Enable Pothos Blocks.Stream component" ON "ENABLE_BLOCKS;JSON_HPP_INCLUDE_DIR" OFF)
add_feature_info("  Stream" ENABLE_BLOCKS_STREAM "Miscellaneous stream manipulation blocks")
if (NOT ENABLE_BLOCKS_STREAM)
    return()
endif()

########################################################################
# Stream blocks module
########################################################################
include_directories(${JSON_HPP_INCLUDE_DIR})
POTHOS_MODULE_UTIL(
    TARGET StreamBlocks
    SOURCES
        Converter.cpp
        TestConverter.cpp
        Copier.cpp
        Delay.cpp
        TestDelay.cpp
        DynamicRouter.cpp
        Pacer.cpp
        Relabeler.cpp
        LabelStripper.cpp
        Gateway.cpp
        TestGateway.cpp
        Reinterpret.cpp
        RateMonitor.cpp
        MinMax.cpp
        TestMinMax.cpp
        Interleaver.cpp
        TestInterleaver.cpp
        Deinterleaver.cpp
        Clamp.cpp
        TestClamp.cpp
        Repeat.cpp
        TestRepeat.cpp
        IsX.cpp
        TestIsX.cpp
        Mute.cpp
    DESTINATION blocks
    ENABLE_DOCS
)

=== testers/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_BLOCKS_TESTERS "Enable Pothos Blocks.Testers component" ON "ENABLE_BLOCKS;JSON_HPP_INCLUDE_DIR" OFF)
add_feature_info("  Testers" ENABLE_BLOCKS_TESTERS "Unit test verification support blocks")
if (NOT ENABLE_BLOCKS_TESTERS)
    return()
endif()

########################################################################
# Tester blocks module
########################################################################
include_directories(${JSON_HPP_INCLUDE_DIR})
POTHOS_MODULE_UTIL(
    TARGET TesterBlocks
    SOURCES
        TestUnitTestBlocks.cpp
        TestProxyTopology.cpp
        TestJSONTopology.cpp
        TestSetThreadPool.cpp
        TestConstantSource.cpp
        FeederSource.cpp
        CollectorSink.cpp
        BlackHole.cpp
        FiniteRelease.cpp
        InfiniteSource.cpp
        SporadicDropper.cpp
        SporadicLabeler.cpp
        SporadicSubnormal.cpp
        VectorSource.cpp
        MessageGenerator.cpp
        ConstantSource.cpp
        Abort.cpp
    DESTINATION blocks
    ENABLE_DOCS
)

=== debian/changelog ===
pothos-blocks (0.5.3-1) unstable; urgency=low

  * Release 0.5.3 (2021-01-24)

 -- Josh Blum <josh@pothosware.com>  Sun, 24 Jan 2021 18:56:41 -0000

pothos-blocks (0.5.2-1) unstable; urgency=low

  * Release 0.5.2 (2020-07-19)

 -- Josh Blum <josh@pothosware.com>  Sun, 19 Jul 2020 21:36:54 -0000

pothos-blocks (0.5.1-1) unstable; urgency=low

  * Release 0.5.1 (2018-04-16)

 -- Josh Blum <josh@pothosware.com>  Mon, 16 Apr 2018 20:16:33 -0000

pothos-blocks (0.5.0-1) unstable; urgency=low

  * Release 0.5.0 (2017-12-25)

 -- Josh Blum <josh@pothosware.com>  Mon, 25 Dec 2017 11:26:23 -0000

pothos-blocks (0.4.4-1) unstable; urgency=low

  * Release 0.4.4 (2017-07-24)

 -- Josh Blum <josh@pothosware.com>  Mon, 24 Jul 2017 22:07:21 -0000

pothos-blocks (0.4.3-1) unstable; urgency=low

  * Release 0.4.3 (2017-04-23)

 -- Josh Blum <josh@pothosware.com>  Sun, 23 Apr 2017 20:23:52 -0000

pothos-blocks (0.4.2-1) unstable; urgency=low

  * Release 0.4.2 (2017-01-26)

 -- Josh Blum <josh@pothosware.com>  Thu, 26 Jan 2017 22:07:21 -0800

pothos-blocks (0.4.1-ppa1) unstable; urgency=low

  * Release 0.4.1 (2016-09-25)

 -- Josh Blum <josh@pothosware.com>  Sun, 25 Sep 2016 13:25:48 -0700

pothos-blocks (0.4.0) unstable; urgency=low

  * Release 0.4.0 (2016-08-02)

 -- Josh Blum <josh@pothosware.com>  Tue, 02 Aug 2016 14:13:24 -0700

pothos-blocks (0.3.1) unstable; urgency=low

  * Release 0.3.1 (2016-03-06)

 -- Josh Blum <josh@pothosware.com>  Sun, 06 Mar 2016 11:50:31 -0800

pothos-blocks (0.3.0) unstable; urgency=low

  * Release 0.3.0 (2015-12-16)

 -- Josh Blum <josh@pothosware.com>  Wed, 16 Dec 2015 16:30:45 -0800

=== debian/control ===
Source: pothos-blocks
Section: science
Priority: optional
Maintainer: Josh Blum <josh@pothosware.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 2.8.9),
    libpoco-dev (>= 1.6),
    nlohmann-json-dev,
    libpothos-dev
Standards-Version: 4.5.0
Homepage: https://github.com/pothosware/PothosBlocks/wiki
Vcs-Git: https://github.com/pothosware/PothosBlocks.git
Vcs-Browser: https://github.com/pothosware/PothosBlocks

Package: pothos-modules-blocks
Section: libs
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: pothos0.7-modules-blocks, ${misc:Depends}
Description: core processing blocks - metapackage
 The Pothos data-flow software suite.

Package: pothos0.7-modules-blocks
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: core processing blocks
 The Pothos data-flow software suite.
